import request from '/@/utils/request';

export function userApi() {
    return {
        // v1
        getUserList: (data: any) => {
            return request({
                url: `/account/page/list`,
                method: 'post',
                data: data
            });
        },
        // v1
        addUser: (data: object) => {
            return request({
                url: `/account/add`,
                method: 'post',
                data: data
            });
        },
        // v1
        modUser: (data: object) => {
            return request({
                url: `/account/mod`,
                method: 'post',
                data: data
            });
        },
        // v1
        getUserLByDepartment: (depId: number | null) => {
            return request({
                url: `/account/dep/list?depId=${depId == null ? '' : depId}`,
                method: 'get'
            });
        }
    };
}
